local Recount2_Widgets = Recount2.Widgets

local function SetFontSize(string, size)
	local Font, Height, Flags = string:GetFont()
	string:SetFont(Font, size, Flags)
end

local function Button_Enter(self)
	self.background:SetTexture(0.0, 1.0, 0.0, 0.25)
end

local function Button_Leave(self)
	self.background:SetTexture(1.0, 0.0, 0.0, 0.25)
end

function Recount2_Widgets:CreateButton(parent, width, height, text, clickFunc)
	button = CreateFrame("FRAME", nil, parent)

	button:SetHeight(height)
	button:SetWidth(width)

	button.background = button:CreateTexture(nil, "BACKGROUND")
	button.background:SetAllPoints(button)
	button.background:SetTexture(1.0, 0.0, 0.0, 0.25)

	button.clickFunc = clickFunc
	button:SetScript("OnMouseDown", button.clickFunc)

	button.OnEnter = Button_Enter
	button.OnLeave = Button_Leave

	button:SetScript("OnEnter", Button_Enter)
	button:SetScript("OnLeave", Button_Leave)

	button.text = button:CreateFontString(nil,"OVERLAY","GameFontHighlightSmall")
	button.text:SetPoint("LEFT", button, "LEFT", 2, 0)
	button.text:SetPoint("RIGHT", button, "RIGHT", -2, 0)
	button.text:SetJustifyH("CENTER")
	button.text:SetText(text)
	button.text:SetTextColor(1,1,1,1)
	Recount2:AddFontString(button.text)
	SetFontSize(button.text, height*0.8)

	button:EnableMouse()

	return button
end
