local Recount2 = Recount2
local Recount2_Widgets = Recount2.Widgets

local function SetFontSize(string, size)
	local Font, Height, Flags = string:GetFont()
	string:SetFont(Font, size, Flags)
end


function Recount2_Widgets:CreateEditBox(parent, width, height, text, label)
	editBox = CreateFrame("EDITBOX", nil, parent)

	editBox:SetMaxLetters(9999)
	editBox:SetWidth(width)
	editBox:SetHeight(height)
	editBox:SetAutoFocus(false)
	editBox:SetText(text)
	editBox:SetFontObject("GameFontHighlightSmall")
	editBox:SetText(text)
	editBox:SetTextColor(1,1,1,1)
	Recount2:AddFontString(editBox)

	SetFontSize(editBox, height)


	editBox:SetScript("OnEscapePressed", function(this)
		this:ClearFocus()
	end)

	Recount2.Widgets:AddBorder(editBox)

	if label then
		editBox.label = editBox:CreateFontString(nil,"OVERLAY","GameFontHighlightSmall")
		editBox.label:SetText(label)
		editBox.label:SetPoint("RIGHT", editBox, "LEFT", -3, 0)
		Recount2:AddFontString(editBox.label)
		SetFontSize(editBox.label, height)
	end

	return editBox
end
